=== modified file 'bzrlib/merge.py'
--- bzrlib/merge.py	2006-06-20 03:57:11 +0000
+++ bzrlib/merge.py	2006-06-29 06:11:38 +0000
@@ -693,7 +693,7 @@
         if winner == "conflict":
         # There must be a None in here, if we have a conflict, but we
         # need executability since file status was not deleted.
-            if self.other_tree.is_executable(file_id) is None:
+            if self.executable(self.other_tree, file_id) is None:
                 winner = "this"
             else:
                 winner = "other"

=== modified file 'bzrlib/tests/test_merge_core.py'
--- bzrlib/tests/test_merge_core.py	2006-06-20 03:57:11 +0000
+++ bzrlib/tests/test_merge_core.py	2006-06-29 06:11:38 +0000
@@ -294,9 +294,14 @@
         builder.change_contents("1", other="text4", this="text3")
         builder.add_file("2", "TREE_ROOT", "name2", "text1", True)
         builder.change_contents("2", other="\x00", this="text3")
+        builder.add_file("3", "TREE_ROOT", "name3", "text5", False)
+        builder.change_perms("3", this=True)
+        builder.change_contents('3', this='moretext')
+        builder.remove_file('3', other=True)
         conflicts = builder.merge(merge_factory)
         self.assertEqual(conflicts, [TextConflict('name1', file_id='1'),
-                                     ContentsConflict('name2', file_id='2')])
+                                     ContentsConflict('name2', file_id='2'),
+                                     ContentsConflict('name3', file_id='3')])
         self.assertEqual(builder.this.get_file('2').read(), '\x00')
         builder.cleanup()
 

